package com.ruoyi.cms.service;

import com.ruoyi.cms.domain.Job;
import com.ruoyi.cms.domain.JobCollection;

import java.util.List;

/**
 * 用户岗位收藏Service接口
 * 
 * @author lishundong
 * @date 2024-09-03
 */
public interface IJobRecommentService
{
    /**
     * 查询用户岗位收藏
     * 
     * @param id 用户岗位收藏主键
     * @return 用户岗位收藏
     */
    public JobCollection selectJobCollectionById(Long id);

    /**
     * 查询用户岗位收藏列表
     * 
     * @param jobCollection 用户岗位收藏
     * @return 用户岗位收藏集合
     */
    public List<JobCollection> selectJobCollectionList(JobCollection jobCollection);

    /**
     * 新增用户岗位收藏
     * 
     * @param jobCollection 用户岗位收藏
     * @return 结果
     */
    public int insertJobCollection(JobCollection jobCollection);

    /**
     * 修改用户岗位收藏
     * 
     * @param jobCollection 用户岗位收藏
     * @return 结果
     */
    public int updateJobCollection(JobCollection jobCollection);

    /**
     * 批量删除用户岗位收藏
     * 
     * @param ids 需要删除的用户岗位收藏主键集合
     * @return 结果
     */
    public int deleteJobCollectionByIds(Long[] ids);

    /**
     * 用户收藏岗位
     */
    int jobCollection(Long jobId);


    /**
     * 用户取消收藏岗位
     */
    int cancel(Long jobId);
    /**
     * 用户申请岗位
     */
    int apply(Long jobId);

    List<Job> collectionJob();

    String competitiveness(Long jobId);
}
